Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.util
Class IdentityHashSet<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              org.apache.mina.util.IdentityHashSet<E>

All Implemented Interfaces:
  Iterable<E>, Collection<E>, Set<E>

    public class IdentityHashSet<E>

extends AbstractSet<E>

An `IdentityHashMap`-backed `Set`.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 05:19:00 +0200 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Constructor Summary
`IdentityHashSet()`
`IdentityHashSet(Collection<E> c)`

Method Summary
`boolean` | `add(E arg0)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`Iterator<E>` | `iterator()`
`boolean` | `remove(Object o)`
`int` | `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, isEmpty, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, containsAll, isEmpty, retainAll, toArray, toArray`

Constructor Detail

### IdentityHashSet

    public IdentityHashSet()

### IdentityHashSet

    public IdentityHashSet(Collection<E> c)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Collection<E>`
  Specified by:
    `size` in interface `Set<E>`
  Specified by:
    `size` in class `AbstractCollection<E>`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<E>`
  Specified by:
    `contains` in interface `Set<E>`
  Overrides:
    `contains` in class `AbstractCollection<E>`

### iterator

    public Iterator<E> iterator()

  Specified by:
    `iterator` in interface `Iterable<E>`
  Specified by:
    `iterator` in interface `Collection<E>`
  Specified by:
    `iterator` in interface `Set<E>`
  Specified by:
    `iterator` in class `AbstractCollection<E>`

### add

    public boolean add(E arg0)

  Specified by:
    `add` in interface `Collection<E>`
  Specified by:
    `add` in interface `Set<E>`
  Overrides:
    `add` in class `AbstractCollection<E>`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<E>`
  Specified by:
    `remove` in interface `Set<E>`
  Overrides:
    `remove` in class `AbstractCollection<E>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<E>`
  Specified by:
    `clear` in interface `Set<E>`
  Overrides:
    `clear` in class `AbstractCollection<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.